GuidesAPI Reference
API Reference

Get features in tile

List the features selected by tile type and tile id.

Path Params
string
required

The unique identifier of the layer.

string
enum
required

The type of tile identifier. "quadkey" - Virtual Earth, "web" - Web Mercator, "tms" - OSGEO Tile Map Service, "here" - Here Tile Schema.

Allowed:
string
required

The tile identifier can be provided as quadkey (1), Web Mercator level,x,y coordinates (1_1_0) or OSGEO Tile Map Service level,x,y (1_1_0).

Query Params
boolean

If set to true the features' geometries are clipped to the geometry of the tile, bounding box or input geometry. Default is false.

params
object

Additional feature filters which compare the feature's property value with the one specified in the query, resulting in a subset of features.

The usage of multiple property names represents an AND operation. The usage of a comma (,) separating the properties values, represents an OR operation.

Properties initiated with 'f.' are used to access values which are added by default in the stored feature. The possible values are: 'f.id', 'f.createdAt', 'f.updatedAt'.

Properties initiated with 'p.' are used to access values in the stored feature which are under the 'properties' property. Use it as a shorthand accessor for 'properties' values.

The format should follow the specification below

  • ?p.property_name_1=property_value_1&f.special_property_name_1=special_property_value_1

For example, the above query, the Features are filtered by 'property' AND 'special property' equals to their respective values.

While in the following example

  • ?p.property_name_1=value_1,value_2

The resulting Features list contains all elements having value_1 OR value_2.

Additionally, to the operators used in the examples above, the query can be written, with the same semantic, by using the long operators: "=gte=", "=lte=", "=gt=", "=lt=" and "=cs=". The following queries yield the same result:

  • ?p.property_name_1>=10
  • ?p.property_name_1=gte=10

The available operators are:

  • "=" - equals
  • "!=" - not equals
  • "=.null" - is null
  • "!=.null" - is not null
  • ">=" or "=gte=" - greater than or equals
  • "<=" or "=lte=" - less than or equals
  • ">" or "=gt=" - greater than
  • "<" or "=lt=" - less than
  • "@>" or "=cs=" - Array contains
selection
array of strings

A list of properties to be returned in the features result list. Multiple attributes can be specified by using comma(,).

Example: ?selection=p.name,p.capacity,p.color,rootpropertyname

  • !geometry : special value to omit geometries
selection
boolean

If set to true the response is not returned from cache. Default is false.

string
enum

The clustering algorithm to apply to the data within the result. Providing this query parameter, the data is returned in a clustered way. This means the data is not necessarily returned in its original shape or with its original properties. Depending on the chosen clustering algorithm, there could be different mandatory and/or optional parameters to specify the behavior of the algorithm. Possible values are:

  • "hexbin"

    The hexbin algorithm divides the world in hexagonal "bins" on a specified resolution. Each hexagon has an address being described by the H3 addressing scheme. For more information on this topic see: https://eng.uber.com/h3/

  • "quadbin"

    The quadbin algorithm takes the geometry input from the request (for example, quadkey / bbox..) and count the features in it. This clustering mode works also for very large layers and can be used for getting an overview where data is present in a given layer. Furthermore, a property filter on one property is applicable.

Allowed:
clusteringParams
array of strings

Some parameters for the chosen clustering algorithm.

Depending on the chosen clustering algorithm, there could be different mandatory and/or optional parameters to specify the behavior of the algorithm.

Clustering-Parameter reference

NOTE: The actual query parameters in the URL look like: ?clustering.aParameterName=aValue

Clustering-type: "hexbin":

There are several parameters needed by the H3 based hexbin algorithm. For more information on this topic see: https://eng.uber.com/h3/

ParameterTypeMandatoryMeaning
absoluteResolutionNumberNOinteger, The H3 hexagon resolution [0,13]
resolutionNumberNOdeprecated, renamed to absoluteResolution
relativeResolutionNumberNOinteger value [-2,2] to be added to current used resolution
propertyStringNOA property of the original features for which to calculate statistics
pointmodeBooleanNOretuns the centroid of hexagons as geojson feature
singlecoordBooleanNOforce to evaluate the first object coordinate only (default: false)
samplingStringNOsamplingratio of underlying dataset
string value [off (1/1), low (1/8), lowmed (1/32), med (1/128), medhigh (1/1024), high (1/4096)] (default: off)

Clustering-type: "quadbin":

There are several parameters needed by the quadbin algorithm. You can use one property filter in combination.

ParameterTypeMandatoryMeaning
relativeResolutionNumberNOinteger, The quad resolution [0,4]
noBufferBooleanNOdo not place a buffer around quad polygons, default: false
resolutionNumberNOdeprecated, renamed to resolutionRelative
countmodeStringNO[real, estimated, mixed, bool]
real = real feature counts. Best accuracy, but slow.
Not recommended for big result sets
estimated = estimated feature counts. Low accuracy, but very fast
Recommended for big result sets
mixed (default) = estimated feature counts combined with real ones.
If the estimation is low a real count gets applied. Fits to the
most use cases
bool = test if data exists in tile but does not count features
The returned count property set to 1, for non empty tiles
clusteringParams
integer
≥ 0

Margin in pixels on the respective projected level around the tile. Default is 0.

integer

The maximum number of features in the response. Default is 30000. Hard limit is 100000.

boolean

If set to true the features in the response have only X's and Y's as coordinates.

string
enum

Optimize resultset and geometries for dispaly. mode = [raw|viz]

Note: when using mode=viz, the value of "limit" parameter will be set to its max value (100000) if not specified otherwise.

Allowed:
string
enum

Choose sampling strength in case of mode = viz. vizSampling = [low|med|high|off] - default: med.

Allowed:
string

The query parameter used to specify the version of a feature or feature collection to be loaded.

string
Defaults to HEAD

The query parameter used to specify the target version reference when reading or writing features. A reference describes a target tag or a version.

Default is: HEAD


Depending on the use-case it can be necessary to specify a range of versions rather than only one version. In such a case the version part of the Ref would look like: `..`

Where <start> is the start of the range (exclusive) and <end> is the end of the range (inclusive).

Another way of specifying a version range is using the star-symbol: *

Using * refers to "all available versions" in the space or branch and is only applicable in the cases in which a version range may be provided.


Samples: - `42` points to version 42 - `HEAD` points to the latest version - `myTag` points to the version of the tag with ID "myTag" - `0..HEAD` points to all available versions - `*` also points to all versions (short form) - `5..10` points to the versions in the interval `]5, 10]`
Headers
string
enum
Defaults to application/geo+json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/geo+json
application/json